%define	tarname	ETSDevTools
%define name	python-enthought-etsdevtools
%define version	3.1.1
%define release	%mkrel 3

%define epoch	1

Summary:	Enthought Tool Suite - ETSDevTools project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	http://www.enthought.com/repo/ETS/%{tarname}-%{version}.tar.gz
License:	BSD
Group: 		Development/Python
Url:		http://code.enthought.com/projects/dev_tools.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python-docutils
Requires:	python-elementtree
Requires:	python-nose
Requires:	python-pyro
Requires:	python-reportlab
%if %mdkversion > 200900
Requires:	python-pkg-resources >= 0.6c8
%else
Requires:	python-setuptools >= 0.6c8
%endif
Requires:	wxPython
Requires: 	python-numpy >= 1.1.0
Requires: 	python-enthought-traits >= %{epoch}:3.6.0
Requires:	python-enthought-traitsgui >= %{epoch}:3.6.0
BuildRequires:	python-setupdocs >= 1.0.5
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-numpy-devel >= 1.1.0
%py_requires -d

%description
The ETSDevTools project includes a set of packages that can be used
during the development of a software project, for understanding,
debugging, testing, and inspecting code.

* enthought.developer: A collection of utilities, 
  designed to ease the development and debugging of Traits-based programs. They can be
  used as plug-ins to your Envisage application while you are developing
  it, and then removed when you are ready to release it.  
* enthought.endo: A Traits-aware tool for processing API
  documentation of Python code. It extracts not only docstrings, but
  also plain comments that immediately precede variable assignments
  (both module-scope variables and class attributes).
* enthought.testing: Scripts related to running unit tests, based on
  testoob, and also allowing running test suites in separate processes
  and aggregating the results.
* enthought.debug: A collection of debugging tools, not to be
  included in production code.  NOTE: These tools are functional, but
  are not being developed or supported. They have been mainly superceded
  by the tools in the Enthought Developer Tool Suite.

%prep 
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ docs/*/*.pdf



%changelog
* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 1:3.1.1-3mdv2011.0
+ Revision: 643881
- rebuild to obsolete old packages

* Mon Feb 14 2011 Lev Givon <lev@mandriva.org> 1:3.1.1-2
+ Revision: 637769
- Package doesn't currently depend on testoob.

* Fri Feb 04 2011 Lev Givon <lev@mandriva.org> 1:3.1.1-1
+ Revision: 635896
- Update to 3.1.1.

* Sun Nov 07 2010 Funda Wang <fwang@mandriva.org> 1:3.1.0-2mdv2011.0
+ Revision: 594427
- rebuild for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.1.0-1mdv2011.0
+ Revision: 586456
- Update to 3.1.0.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.0.4-2mdv2011.0
+ Revision: 546526
- Rebuild.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.0.4-1mdv2010.1
+ Revision: 512084
- Update to 3.0.4.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.0.3-2mdv2010.0
+ Revision: 419294
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 419037
- Update to 3.0.3.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2010.0
+ Revision: 363868
- Update to 3.0.2.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358153
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323680
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313553
- Update to 3.0.1.

* Sat Nov 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.0-2mdv2009.1
+ Revision: 308075
- require python-pkg-resources for mdv version greater than 200900, instead of python-setuptools which requires bunch of useless python stuff and python-devel

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298942
- import python-enthought-etsdevtools


